Shropshire Council

Don't show me this again

Security updates Dec 2017 - will affect older web browsers

As part of our ongoing work to keep our website and the council network secure, we'll be making a change next Wednesday (13 December 2017) that will potentially stop older web browsers accessing secure web pages and services.

If you're using one of the following browser versions (or older), this will affect you:

  • IE 10
  • Chrome 29
  • Firefox 26
  • Safari 5.1.9 (on OS X 10.6.8)
  • Safari 6.0.4 (on OS X 10.8.4)
  • Opera 16 (on Windows 7)

We strongly advise everyone to keep browsers up to date in order to keep yourself protected from computer viruses and other security threats.If you do encounter any problems following the change, please let us know.